package api

// 定义结构体
type ConnectInfoRequest struct {
	Id  string  `json:"id" toml:"id"`
	Ssh SshInfo `json:"ssh_info" toml:"server"`
	Db  DbInfo  `json:"db_info" toml:"db"`
}

type SshInfo struct {
	Username string `json:"username" toml:"ssh_username"`
	Password string `json:"password" toml:"ssh_password"`
	Host     string `json:"host" toml:"ssh_ip"`
	Port     string `json:"port" toml:"ssh_port"`
}

type DbInfo struct {
	User     string `json:"user" toml:"db_user"`
	Password string `json:"password" toml:"db_password"`
	Database string `json:"database" toml:"db_database"`
	Port     string `json:"port" toml:"db_port"`
}
